Page MenuHomePhabricator

ReleaseDetailsCustomField: prefill "Unbreak now" train blocker priority
AcceptedPublic

Authored by DannyS712 on Jun 29 2021, 2:27 AM.

Details

Maniphest Tasks
T285733: In train deployment tasks, link to create a subtask for a blocker should prefill unbreak now
Reviewers
mmodell
thcipriani
Group Reviewers
Restricted Owners Package(Owns No Changed Paths)
Patch without arc
git checkout -b D1196 && curl -L https://phabricator.wikimedia.org/D1196?download=true | git apply
Summary

Train blocker should always be unbreak now, and instead of the reporter needing to remember this we can have it be the default when creating a train blocker task via the form linked from the train deployment task itself. "Unbreak now" is internally priority level 100.

Bug: T285733

Test Plan

View a train deployments task before the patch is applied, confirm that the link in "Use this form to create one." brings the viewer to a form where the default priority is "Needs triage"

Apply the patch

View the same task afterwards, and confirm that the link now brings the viewer to a form where the default priority is "Unbreak now"

Revert Plan

Just create a revert patch, no complex handling needed

Diff Detail

Repository
rPHEX phabricator-extensions
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

Restricted Application added a reviewer: Restricted Owners Package.Jun 29 2021, 2:27 AM

This is a great idea! Thanks for this.

This revision is now accepted and ready to land.Jun 29 2021, 3:53 PM

This is a great idea! Thanks for this.

What is still needed for this to be deployed?

This is a great idea! Thanks for this.

What is still needed for this to be deployed?

@mmodell schedules deployments on a slightly irregular basis (whenever there a few built-up changes to go out). His deployment window is Wednesdays. He's out next week, so no deployment then, but he'll see this when he's back on 2021-09-13.

This is a great idea! Thanks for this.

What is still needed for this to be deployed?

@mmodell schedules deployments on a slightly irregular basis (whenever there a few built-up changes to go out). His deployment window is Wednesdays. He's out next week, so no deployment then, but he'll see this when he's back on 2021-09-13.

oh! And you'll need to land this revision. In the phab model of review I, as reviewer, can accept a revision, but the author "lands" read: merges.

This is a great idea! Thanks for this.

What is still needed for this to be deployed?

@mmodell schedules deployments on a slightly irregular basis (whenever there a few built-up changes to go out). His deployment window is Wednesdays. He's out next week, so no deployment then, but he'll see this when he's back on 2021-09-13.

oh! And you'll need to land this revision. In the phab model of review I, as reviewer, can accept a revision, but the author "lands" read: merges.

I don't see any buttons to land or merge, in the "Add Action" interface "Accept Revision" is the only option under "Review Actions", and under "Revision Actions" there is "Plan Changes", "Request Review", "Close Revision", and "Abandon Revision", but nothing about landing - maybe I don't have the rights to merge? How does it appear as an option to you in other commits?

This is a great idea! Thanks for this.

What is still needed for this to be deployed?

@mmodell schedules deployments on a slightly irregular basis (whenever there a few built-up changes to go out). His deployment window is Wednesdays. He's out next week, so no deployment then, but he'll see this when he's back on 2021-09-13.

oh! And you'll need to land this revision. In the phab model of review I, as reviewer, can accept a revision, but the author "lands" read: merges.

I don't see any buttons to land or merge, in the "Add Action" interface "Accept Revision" is the only option under "Review Actions", and under "Revision Actions" there is "Plan Changes", "Request Review", "Close Revision", and "Abandon Revision", but nothing about landing - maybe I don't have the rights to merge? How does it appear as an option to you in other commits?

You should run the command arc land <branch-with-this-revision> locally and that should work since I OK'd the revision.

I tried to land just now and did not have a good time:

 phab-extensions (D1196)
(/^ヮ^)/*:・゚✧ arc land --revision D1196 D1196
 STRATEGY  Merging with "squash" strategy, the default strategy.
 ONTO REMOTE  Landing onto remote "origin", the default remote under Git.
 ONTO TARGET  Landing onto target "master", the default target under Git.
 INTO REMOTE  Will merge into remote "origin" by default, because this is the remote the change is landing onto.
 INTO TARGET  Will merge into target "master" by default, because this is the "onto" target.
 FETCH  Fetching "master" from remote "origin"...

  $   git fetch --no-tags --quiet -- origin master


 INTO COMMIT  Preparing merge into "master" from remote "origin", at commit "f4014caf7dcd".
 USAGE EXCEPTION  TODO: You are forcing a revision, but commits are associated with some other revision. Are you REALLY sure you want to land ALL these commits with a different unrelated revision???

...

I don't see any buttons to land or merge, in the "Add Action" interface "Accept Revision" is the only option under "Review Actions", and under "Revision Actions" there is "Plan Changes", "Request Review", "Close Revision", and "Abandon Revision", but nothing about landing - maybe I don't have the rights to merge? How does it appear as an option to you in other commits?

You should run the command arc land <branch-with-this-revision> locally and that should work since I OK'd the revision.

I tried to land just now and did not have a good time:

 phab-extensions (D1196)
(/^ヮ^)/*:・゚✧ arc land --revision D1196 D1196
 STRATEGY  Merging with "squash" strategy, the default strategy.
 ONTO REMOTE  Landing onto remote "origin", the default remote under Git.
 ONTO TARGET  Landing onto target "master", the default target under Git.
 INTO REMOTE  Will merge into remote "origin" by default, because this is the remote the change is landing onto.
 INTO TARGET  Will merge into target "master" by default, because this is the "onto" target.
 FETCH  Fetching "master" from remote "origin"...

  $   git fetch --no-tags --quiet -- origin master


 INTO COMMIT  Preparing merge into "master" from remote "origin", at commit "f4014caf7dcd".
 USAGE EXCEPTION  TODO: You are forcing a revision, but commits are associated with some other revision. Are you REALLY sure you want to land ALL these commits with a different unrelated revision???

Oh - I don't have arcanist installed, and have no experience with it - I created this patch in the web interface. And the thing about the USAGE EXCEPTION seems scary - I'd prefer not to try my first land with as sensitive a repo as our phab extensions. Can someone else land this, or does it have to be the author?

thcipriani edited reviewers, added: DannyS712; removed: thcipriani.

...

I don't see any buttons to land or merge, in the "Add Action" interface "Accept Revision" is the only option under "Review Actions", and under "Revision Actions" there is "Plan Changes", "Request Review", "Close Revision", and "Abandon Revision", but nothing about landing - maybe I don't have the rights to merge? How does it appear as an option to you in other commits?

You should run the command arc land <branch-with-this-revision> locally and that should work since I OK'd the revision.

I tried to land just now and did not have a good time:

 phab-extensions (D1196)
(/^ヮ^)/*:・゚✧ arc land --revision D1196 D1196
 STRATEGY  Merging with "squash" strategy, the default strategy.
 ONTO REMOTE  Landing onto remote "origin", the default remote under Git.
 ONTO TARGET  Landing onto target "master", the default target under Git.
 INTO REMOTE  Will merge into remote "origin" by default, because this is the remote the change is landing onto.
 INTO TARGET  Will merge into target "master" by default, because this is the "onto" target.
 FETCH  Fetching "master" from remote "origin"...

  $   git fetch --no-tags --quiet -- origin master


 INTO COMMIT  Preparing merge into "master" from remote "origin", at commit "f4014caf7dcd".
 USAGE EXCEPTION  TODO: You are forcing a revision, but commits are associated with some other revision. Are you REALLY sure you want to land ALL these commits with a different unrelated revision???

Oh - I don't have arcanist installed, and have no experience with it - I created this patch in the web interface. And the thing about the USAGE EXCEPTION seems scary - I'd prefer not to try my first land with as sensitive a repo as our phab extensions. Can someone else land this, or does it have to be the author?

Lemme try to commandeer and land...

This revision now requires review to proceed.Sep 5 2021, 9:05 PM

Assuming you need this to be able to land...

This revision is now accepted and ready to land.Sep 5 2021, 9:06 PM
thcipriani edited reviewers, added: thcipriani; removed: DannyS712.

sigh:

phab-extensions (D1196)
(•́‸•̀)❥ arc land --revision D1196 --onto wmf/stable
 STRATEGY  Merging with "squash" strategy, the default strategy.
 SOURCE  Landing the current branch, "D1196".
 ONTO REMOTE  Landing onto remote "origin", the default remote under Git.
 ONTO TARGET  Refs were selected with the "--onto" flag: wmf/stable.
 INTO REMOTE  Will merge into remote "origin" by default, because this is the remote the change is landing onto.
 INTO TARGET  Will merge into target "wmf/stable" by default, because this is the "onto" target.
 FETCH  Fetching "wmf/stable" from remote "origin"...

  $   git fetch --no-tags --quiet -- origin wmf/stable


 INTO COMMIT  Preparing merge into "wmf/stable" from remote "origin", at commit "1d9b463a4f1c".
 LANDING  These changes will land:

  *   D1196 ReleaseDetailsCustomField: prefill "Unbreak now" train blocker priority
          31052c259b21  ReleaseDetailsCustomField: prefill "Unbreak now" train blocker…

 >>>  Land these changes? [y/N/?] y
 MERGING  31052c259b21 ReleaseDetailsCustomField: prefill "Unbreak now" train blocker…
 MERGE  Attempting to rebase changes.
 DONE  Merge succeeded.
 PUSHING  Pushing changes to "origin".

  $   git push -- origin fda89712a08d:refs/heads/wmf/stable

fatal: unable to access 'https://phabricator.wikimedia.org/source/phab-extensions.git/': The requested URL returned error: 403

 LOAD STATE  Restoring local state (to ref "D1196" at commit "31052c259b21").
 USAGE EXCEPTION  Push failed! Fix the error and run "arc land" again.

I guess this will have to wait for @mmodell

This revision now requires review to proceed.Sep 5 2021, 9:10 PM
This revision is now accepted and ready to land.Sep 5 2021, 9:10 PM

code change unnecessary: I changed the form configuration, this is now the default: https://phabricator.wikimedia.org/maniphest/task/edit/form/46/